TrigramKey Class Reference

`#include <ARPAPredictor.h>`

Collaboration diagram for TrigramKey:

## Public Member Functions

| TrigramKey (int wd1, int wd2, int wd3)
bool | operator< (const TrigramKey &right) const
bool | operator== (const TrigramKey &right) const

## Public Attributes

int | key1
int | key2
int | key3

## Detailed Description

Definition at line 53 of file ARPAPredictor.h.

## Constructor & Destructor Documentation

## TrigramKey()

TrigramKey::TrigramKey | ( | int | wd1,
|  | int | wd2,
|  | int | wd3
| ) |  |

inline

Definition at line 56 of file ARPAPredictor.h.

## Member Function Documentation

## operator<()

bool TrigramKey::operator< | ( | const TrigramKey & | right | ) | const

inline

Definition at line 58 of file ARPAPredictor.h.

References key1, key2, and key3.

## operator==()

bool TrigramKey::operator== | ( | const TrigramKey & | right | ) | const

inline

Definition at line 74 of file ARPAPredictor.h.

References key1, key2, and key3.

## Member Data Documentation

## key1

int TrigramKey::key1

Definition at line 78 of file ARPAPredictor.h.

Referenced by operator<(), operator==(), and BigramKey::operator==().

## key2

int TrigramKey::key2

Definition at line 79 of file ARPAPredictor.h.

Referenced by operator<(), operator==(), and BigramKey::operator==().

## key3

int TrigramKey::key3

Definition at line 80 of file ARPAPredictor.h.

Referenced by operator<(), and operator==().

The documentation for this class was generated from the following file:

- /build/presage-hvZ4Ld/presage-0.9.1/src/lib/predictors/ARPAPredictor.h